import logd from 'logd';
import ConsoleTransport from 'logd-console-transport';
import HTTP2Client from '@distributed-systems/http2-client'
import HTTP2Server from './src/HTTP2Server.js';

logd.transport(new ConsoleTransport());


(async() => {
    const server = new HTTP2Server({
        secure: false
    });


    server.getRouter().head('/test-head', async (request) => {
        await request.response().status(200).send('invalid');
    });


    await server.load();
    await server.listen(8000);

    const client = new HTTP2Client();
    const request = client.head('http://l.dns.porn:8000/test-head');
    const response = await request.send();
    await server.close();
    client.end();
})().catch(console.error);
